package com.artfess.bpm.plugin.task.tasknotify.def;

import com.artfess.bpm.api.constant.EventType;
import com.artfess.bpm.plugin.core.plugindef.AbstractBpmTaskPluginDef;
import com.artfess.bpm.plugin.task.tasknotify.def.model.NotifyVo;

import java.util.HashMap;
import java.util.Map;

public class TaskNotifyPluginDef extends AbstractBpmTaskPluginDef {

	/**
	 *
	 */
	private static final long serialVersionUID = -2004192771704092491L;
	/**
	 * 信息配置集合
	 */
	Map<EventType,NotifyVo> notifyVos = new HashMap<EventType,NotifyVo>();

	public void addNotifyVo(EventType eventType,NotifyVo notifyVo){
		notifyVo.setEventType(eventType);
		notifyVos.put(eventType, notifyVo);
	}

	public Map<EventType, NotifyVo> getNotifyVos() {
		return notifyVos;
	}
}
